# $Revision: 1.3 $, $Date: 2011/09/10 19:30:46 $
Summary:	OpenFabrics Alliance InfiniBand MAD library
Summary(pl.UTF-8):	Biblioteka OpenFabrics Alliance InfiniBand MAD
Name:		libibmad
Version:	1.3.8
Release:	1
License:	BSD or GPL v2
Group:		Libraries
Source0:	http://www.openfabrics.org/downloads/management/%{name}-%{version}.tar.gz
# Source0-md5:	fe88bdfa48626d01ffad8b2fde87466e
URL:		http://www.openfabrics.org/
BuildRequires:	libibumad-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libibmad provides low layer InfiniBand functions for use by the IB
diagnostic and management programs. These include MAD, SA, SMP, and
other basic IB functions.

%description -l pl.UTF-8
libibmad to biblioteka udostępniająca niskopoziomowe funkcje
InfiniBand przeznaczone dla programów diagnostycznych i zarządzających
IB. Obejmuje MAD, SA, SMP i inne podstawowe funkcje IB.

%package devel
Summary:	Header files for libibmad library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libibmad
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libibumad-devel

%description devel
Header files for libibmad library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libibmad.

%package static
Summary:	Static libibmad library
Summary(pl.UTF-8):	Statyczna biblioteka libibmad
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static libibmad library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę libibmad.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libibmad.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libibmad.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libibmad.so
%{_libdir}/libibmad.la
%{_includedir}/infiniband/mad.h
%{_includedir}/infiniband/mad_osd.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libibmad.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libibmad.spec,v $
Revision 1.3  2011/09/10 19:30:46  qboosh
- updated to 1.3.8

Revision 1.2  2011/03/12 20:22:50  qboosh
- updated to 1.3.7

Revision 1.1  2010/09/11 14:11:57  qboosh
- new
